﻿<!DOCTYPE html>
<html data-ng-app="dashboardApp">
<head>
    <title>Tigerspike Sense</title>
    <meta charset="utf-8" />
</head>
<body>
    <h1>Tigerspike Dashboard</h1>
    <div data-ng-controller="DasboardController as dc">
        <div id="dashboardContainer" class="container">
            <div id="calendarWidget" class="widget">
                calendar goes here
                <table>
                    <tr data-ng-repeat="c in dc.alerts">
                        <td data-ng-bind="c.Alert"></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>
    <script>
        var app = angular.module('dashboardApp', []);

        app.controller('DashboardController', ['$http', function ($http) {
            var dc = this;
            

            var url = '/api/Dashboard/GetCalendarAlerts'
            $http.get(url).success(function (response) {
                dc.alerts = response;
            });

            //dc.getCalendar = getCalendar

            //function getCalendar() {
            //    var url = '/api/Dashboard/GetCalendarAlerts'
            //    $http.get(url).success(function (response) {
            //        dc.alerts = response;
            //    });
            //};
        }]);

    </script>
    <style>
    .container {
        margin: 20px;
    }
    .widget {
        float: left;
        margin: 2.5px;
        padding: 20px;
        max-width: 250px;
        border: 2px solid red;
    }
    
    </style>

</body>
</html>
